screen choice(items):
    style_prefix "choice"

    if len(items) > 4 and not renpy.variant("phone"):
        vpgrid:
            spacing 10
            cols 2

            for n, i in enumerate(items, 1):
                key str(n) action i.action
                key "K_KP" + str(n) action i.action
                textbutton str(n) + ". " + i.caption action i.action
    else:
        vbox:
            spacing 10
            for n, i in enumerate(items, 1):
                key str(n) action i.action
                key "K_KP" + str(n) action i.action
                textbutton str(n) + ". " + i.caption action i.action


screen navigation_buttons():
    if main_menu:

        if gui.season["slug"] == "season-001":
            textbutton _("Start") action Start()
        else:
            textbutton _("Continue") action Start()

    else:

        textbutton _("History") action ShowMenu("history")

        textbutton _("Save") action ShowMenu("save")

    textbutton _("Load") action ShowMenu("load")

    if not main_menu and not _in_replay:
        textbutton _("Codex") action ShowMenu("encyclopaedia_list", Codex)

    textbutton _("Preferences") action ShowMenu("preferences")

    if _in_replay:

        textbutton _("End Replay") action EndReplay(confirm=True)

    if not _in_replay:
        textbutton _("Scene Gallery") action ShowMenu("scenes")

    if not _in_replay and not is_steam and is_patreon() and renpy.has_label("extra_scene_01"):
        textbutton _("Achievements") action ShowMenu("achievements")

    if not _in_replay and is_steam and is_patreon() and renpy.has_label("extra_scene_01"):
        textbutton _("Bonus") action Function(open_bonus)

    if not main_menu:

        textbutton _("Main Menu") action MainMenu()

    textbutton _("About") action ShowMenu("about")

    if renpy.variant("pc"):


        textbutton _("Help") action ShowMenu("help")


        textbutton _("Quit") action Quit(confirm=not main_menu)


default persistent.modGalleryUnlock = True

screen scenes():
    tag menu






    if scene_gallery_page >= len(scene_gallery):
        $ scene_gallery_page = 0
        if not is_patreon():
            $ scene_gallery_page = 1


    if gui.scene_gallery_view == 'character':
        $ episode = [episode for episode in scene_gallery_by_character if episode['title'] == scene_gallery_character]
        if len(episode):
            $ episode = episode[0]
    else:
        $ episode = scene_gallery[scene_gallery_page]

    use game_menu(_("Scene Gallery")):

        style_prefix "scenes"

        vbox:
            vbox:
                ymaximum 740
                xfill True


                hbox:
                    xfill True

                    text episode['title'] font "fonts/Oswald-Bold.ttf" color gui.accent_color size 30

                    hbox:
                        style_prefix "toggle_buttons"
                        xalign 1.0
                        xoffset -100
                        ypos 8

                        text __("View by: ") font "fonts/Oswald-Bold.ttf" color gui.accent_color size 30 ypos 6
                        if gui.scene_gallery_view == 'episode':
                            textbutton __("episode") action gui.SetPreference("scene_gallery_view", "character") text_style "scenes_toggle_button"
                        else:
                            textbutton __("character") action gui.SetPreference("scene_gallery_view", "episode") text_style "scenes_toggle_button"

                viewport:
                    scrollbars "vertical"
                    mousewheel True
                    draggable True
                    xfill True
                    yfill True
                    yoffset 25

                    has vpgrid:
                        xfill True
                        cols 3
                        spacing 25

                    for scene_object in episode['scenes']:
                        if (game.is_special and hasattr(scene_object, 'special')) or not hasattr(scene_object, 'special'):
                            button:
                                if renpy.seen_label(scene_object['label']) or unlock_scene_gallery or persistent.modGalleryUnlock == False:
                                    action Replay(scene_object['label'], get_player_names(), False)
                                else:
                                    action Replay(scene_object['label'], get_player_names())

                                frame:
                                    if renpy.seen_label(scene_object['label']) or unlock_scene_gallery or persistent.modGalleryUnlock == False:
                                        add Frame(scene_object['image'], 0, 0)
                                    else:
                                        add Frame("gui/locked.png", 0, 0)
                                text scene_object['text']

            hbox:
                style_prefix "scenes_buttons"
                yoffset 40
                spacing 15
                box_wrap True
                box_wrap_spacing 15

                if gui.scene_gallery_view == 'character':
                    for character in scene_gallery_characters:
                        textbutton character action SetVariable("scene_gallery_character", character)
                else:



                    for page in range(1, len(scene_gallery)+1):
                        if page is 1 and is_patreon():
                            textbutton __("Extras") action SetVariable("scene_gallery_page", page-1)
                        elif not page is 1:
                            textbutton __("Ep")+str(page+11) action SetVariable("scene_gallery_page", page-1)

                if persistent.modGalleryUnlock:
                    textbutton "Unlock Scenes":
                        action SetVariable("persistent.modGalleryUnlock", False)
                else:
                    textbutton "Lock Scenes":
                        action SetVariable("persistent.modGalleryUnlock", True)
